package com.quansu.heifengwuliu.widget

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.EditText
import android.widget.LinearLayout
import android.widget.TextView
import androidx.databinding.DataBindingUtil
import com.quansu.heifengwuliu.R
import com.quansu.heifengwuliu.databinding.WidgetEnteritemBinding
import com.ysnows.base.view.BView
import com.ysnows.base.view.BaseView

/**
 * 一装多卸
 *Created by shihuiyun
 *on 2020/9/15
 */
class AddressItemEnterView(context: Context, attrs: AttributeSet) :BaseLinearLayout(context,attrs){
    private var view: BView? = null

    private var binding: WidgetEnteritemBinding? = null

    init {
        init(context)

    }

    private fun init(context: Context) {
        if (context is BaseView) {
            view = context as BView
        }
        binding = DataBindingUtil.inflate(LayoutInflater.from(context), R.layout.widget_enteritem, this, true)

    }
    fun getTvCity(): TextView? {
        return binding!!.tvCity
    }

    fun getTvChoseTime(): TextView? {
        return binding!!.tvChoseTime
    }

    fun getLlChoseAddress(): LinearLayout? {
        return binding!!.llChoseAddress
    }

    fun getLlChoseMap(): LinearLayout? {
        return binding!!.llChoseMap
    }

    fun getEtName(): EditText? {
        return binding!!.etName
    }

    fun getEtPhone(): EditText? {
        return binding!!.etPhone
    }

    fun getEtDetailedAddress(): EditText? {
        return binding!!.etDetailedAddress
    }


}
